<div class="wrapper-outer">
  <div class="container">
      <div class="row">
          <div class="col-sm-12">
              <div class="cont-login">

                  <div *ngIf="allEmployedCandidateDetails">
                      <div class="shadow-box prof-lst"
                          *ngFor="let candidate of allEmployedCandidateDetails?.results; let i = index">
                          <h4>
                              <div class="pof-ttl-img"><span class="avatar"><img
                                          [src]="candidate.profilePic?candidate.profilePic:'assets/images/avatar2.png'"
                                          alt=""></span>{{candidate.fname}} {{candidate.lname}} 
                                          <span class="fav" >
                                          <a href="javascript:void(0);" (click)="removeFromFav(candidate.candidateId)" *ngIf="candidate.isFavourite" style="color: #ad00ba;"><i class="fas fa-thumbs-up" aria-hidden="true"></i></a>
                                          <!-- <a href="javascript:void(0);" (click)="saveAsFav(candidate.candidateId)"  *ngIf="!candidate.isFavourite" ><i class="far fa-heart" aria-hidden="true"></i></a> -->
                                          </span>
                                      </div>
                              <!-- <span *ngIf="!candidate.isOffered && !candidate.isSentInvitation"><input type="checkbox" name="candidate{{i}}"></span> -->
                              <!-- <span *ngIf="candidate.isOffered" class="badge badge-success">Offered</span>
                              <span *ngIf="candidate.isSentInvitation" class="badge badge-success">Invited</span> -->
                          </h4>
                          <!-- <p class="address-prof"><img src="assets/images/location-red.png">
                              </p> -->
                          <!-- <p class="loc-status avl">Available</p> -->
                          <p class="address-prof"><img src="assets/images/location-red.png" style="margin-bottom: 5px"> {{candidate.geolocation.locationName}}</p>
                          <!-- <p class="prof-skl"><strong>Job Roles:</strong> <span
                                  *ngFor="let role of candidate.payloadSkill; let i=index">
                                  <span *ngIf="i>0">, </span>
                                  {{role.jobRoleName}} 
                                </span>
                              </p>
                              <p class="prof-skl"><strong>Skills:</strong>
                                  <span *ngFor="let skillll of candidate.skillDetails; let i=index">
                                        <span *ngIf="i>0">, </span>
                                  {{skillll.skillName}}

                              </span>
                              </p> -->
                          
                          <div class="prof-action">


                              <div class="r-star stars">
                                  <ul class="rating inline-ul">
                                      <li *ngFor="let star of stars; let i = index">
                                          <i class="fas fa-star" *ngIf="candidate.rating >= i + 0.5; else emptyStar"
                                              [ngClass]="{'fa-star-half-alt': candidate.rating >= i + 0.5 && candidate.rating < i + 1,
                                                          'fa-star': candidate.rating >= i + 1}">
                                          </i>
                                      </li>
                                  </ul>
                                  <ng-template #emptyStar>
                                      <i class="far fa-star"></i>
                                  </ng-template>
                              </div>
                              <a href="javascript:void(0);"
                                  (click)="viewCandidateProfile(candidate.candidateId,candidate.rating,candidate.profilePic)"
                                  class="btn">View Profile</a>
                          </div>
                      </div>
                  </div>
                  <!-- <pagination [totalItems]="totalItems" [itemsPerPage]="itemsPerPage" [(ngModel)]="pageNo" [maxSize]="totalNoOfPages" [rotate]="false" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true" (pageChanged)="getPaginateData($event)" class="pagination-sm justify-content-center" [disabled]="dataFetching"  *ngIf="totalItems"></pagination> -->
                  
                </div>
            <pagination [totalItems]="total" [itemsPerPage]="perPage" [(ngModel)]="pageNo" [maxSize]="totalNoOfPages" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true" [rotate]="false" (pageChanged)="getPaginatedData($event)" class="pagination-sm justify-content-center" [disabled]="dataFetching" *ngIf="total"></pagination>

              </div>
          </div>
      </div>
   </div>